org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxMapping

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxMapping

    public class GridDhtTxMapping
    extends Object

DHT transaction mapping.

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxMapping()`

### Method Summary

Methods
`void` `addMapping(List<ClusterNode> nodes)` Adds information about next mapping.
`Map<UUID,Collection<UUID>>` `transactionNodes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridDhtTxMapping

    public GridDhtTxMapping()

### Method Detail

#### addMapping

    public void addMapping(List<ClusterNode> nodes)

Adds information about next mapping.

Parameters:
  `nodes` - Nodes.

#### transactionNodes

    public Map<UUID,Collection<UUID>> transactionNodes()

Returns:
  Primary to backup mapping.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016